classification
Title: Bad description for an entry in whatsnew/2.7
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Oren_Held, barry, brett.cannon, docs@python, ezio.melotti, flox, gangesmaster, loewis, meador.inge, orsenthil, python-dev, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-01-28 16:53 by Oren_Held, last changed 2011-08-06 04:57 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
whatsnew_issue_7902_fix.patch Oren_Held, 2011-01-28 16:53
Messages (4)
msg127317 - (view) Author: Oren Held (Oren_Held) Date: 2011-01-28 16:53
In the "what's new in 2.7", there is some mistake in the description of issue 7902.

7902, afaik, disables the fallback to absolute import, when requesting a relative import fails. If I got it right, the description states the opposite.
msg141693 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-08-05 23:03
Hello, the patch seems indeed to fix a "reverse" description of issue 7902. Was there a reason (given the quite long list of nosy people) why it was not applied? "lack of time" doesn't count :)
msg141706 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-08-06 04:56
New changeset 298df0970eec by Senthil Kumaran in branch '2.7':
Fix closes issue11047 - Correct the 2.7 whatsnew description for issue 7902.
http://hg.python.org/cpython/rev/298df0970eec

New changeset dafdbd0d570a by Senthil Kumaran in branch '3.2':
merge from 2.7 - Fix closes issue11047 - Correct the 2.7 whatsnew description for issue 7902.
http://hg.python.org/cpython/rev/dafdbd0d570a

New changeset aea6f588230b by Senthil Kumaran in branch 'default':
merge from 3.2 - Fix closes issue11047 - Correct the 2.7 whatsnew description for issue 7902.
http://hg.python.org/cpython/rev/aea6f588230b
msg141707 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-08-06 04:57
Sandro, perhaps got overlooked. :) But yeah, why wait. Done.
History
Date User Action Args
2011-08-06 04:57:27orsenthilsetnosy: + orsenthil
messages: + msg141707
2011-08-06 04:56:39python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg141706

resolution: fixed
stage: commit review -> resolved
2011-08-05 23:03:28sandro.tosisetversions: + Python 3.2, Python 3.3
nosy: + ezio.melotti, sandro.tosi

messages: + msg141693

stage: commit review
2011-01-29 17:46:04eric.araujosetnosy: + gangesmaster, flox, barry, meador.inge, brett.cannon, loewis

title: Bad description for a change -> Bad description for an entry in whatsnew/2.7
2011-01-28 16:53:27Oren_Heldcreate